
public abstract class Class151_Sub1 extends Class151 {

   protected static final int anInt9004 = 4;


   public abstract void method14458(int var1, int var2, int var3, int var4, int var5, int var6, boolean var7, boolean var8);

   public abstract void method14459(Interface8 var1);

   public abstract void method14460(int var1, Interface7 var2);

   public abstract boolean method14461();

   public abstract void method14462(int var1, int var2, int var3, int var4, int var5, int var6, boolean var7, boolean var8);

   public abstract void method14463(int var1, Interface7 var2);

   public abstract boolean method14464();

   public abstract void method14465(int var1, Interface7 var2);

   public abstract void method14466(Interface8 var1);

   public abstract void method14467(Interface8 var1);

   public abstract void method14468(Interface8 var1);

   public abstract boolean method14469();

   public abstract void method14470(int var1, Interface7 var2);

   public abstract void method14471(int var1, Interface7 var2);

   static final void method14472(Class508 var0, int var1) {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[-937710807 * var0.anInt6003];
      int var3 = var0.anIntArray6027[1 + var0.anInt6003 * -937710807];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var2 - var3;
   }

   static boolean method14473(byte var0) {
      Class3.anInt98 = -778867621;
      Class3.aClass180_62 = client.aClass180_7704;
      if(null != client.aByteArray7679) {
         RS2Buffer var1 = new RS2Buffer(client.aByteArray7679);
         Class3.aLong97 = var1.method13729((byte)127) * 3439265594537661679L;
         Class3.aLong94 = var1.method13729((byte)14) * -2945715985723849407L;
      }

      if(Class3.aLong97 * 971601016738667023L < 0L) {
         Class151_Sub2_Sub3.method15840(35, 1839588767);
         return false;
      } else {
         return Class316.method5605(false, true, "", "", 971601016738667023L * Class3.aLong97);
      }
   }
}
